@font-face{
    src: url(bynk.regular.ttf);
    font-family: 'Bynk';
}

@property --px100vw {
  syntax: "<length>";
  initial-value: 0px;
  inherits: false;
}
@property --px100vh {
  syntax: "<length>";
  initial-value: 0px;
  inherits: false;
}

:root {
  --px100vw: 100vw;
  --px100vh: 100vh;
  --px-width: calc(tan(atan2(var(--px100vw), 1px)));
  --px-height: calc(tan(atan2(var(--px100vh), 1px)));
}

::-webkit-scrollbar {
    width: 0px;
    background: transparent; /* make scrollbar transparent */
}

body, html {
  margin: 0;
  box-sizing: border-box;
  overflow-x: hidden;
  -ms-overflow-style: none;  /* IE and Edge */
  scrollbar-width: none;  /* Firefox */
  font-family: 'LT Binary Neue Round', sans-serif;
  scroll-behavior: smooth;
  background: black;
}

p {
  color: white;
  width: 600px;
  padding: 0 20px;
  max-width: calc(100vw - 40px);
  font-size: 18pt;
  text-align: justify;
}
p::first-letter {
  font-size: 30pt;
  font-weight: bold;
  padding-left: 20px;
}

iframe {
  position: relative;
  border: none;
  z-index: 100;
  border-radius: 10px;
  mix-blend-mode: lighten;
  max-width: 100dvw;
}

#background {
  width: 100vw;
  height: 100vh;
  background-image: url('../img/diamond2x2.png');
  background-repeat: repeat;
  background-blend-mode: darken;
  filter: brightness(calc(0.7 + 0.25 * var(--time))) contrast(100);
  animation: time-repeat 1s infinite ease-in;
  position: absolute;
  top:0;
  left: 0;
  pointer-events: none;
}

#background::before {
  display: block;
  content: "";
  width: 100vw;
  height: 100vh;
  background-image: url('../img/diamond2x2.png'), radial-gradient(ellipse 100% 100%, #888, #9d9d9d);
  background-repeat: repeat;
  background-blend-mode: overlay;
  filter: brightness(calc(0.64 + 0.25 * var(--time))) contrast(100) invert();
  animation: time-repeat 1s infinite ease-in;
  mix-blend-mode: multiply;
  position: fixed;
  top:0;
  left: 0;
}

#background-vid {
  display: block;
  content: "";
  position: fixed;
  width: 100vw;
  height: 100vh;
  top: 0;
  left: 0;
  background: url('../img/aurora.gif');
  background-size: cover;
  background-position: center;
  z-index: 82;
  filter: saturate(1) hue-rotate(130deg);
  mix-blend-mode: difference;
  pointer-events: none;
}

.page {
  position: relative;
  width: 100vw;
  height: 100vh;
  overflow: hidden;
}

#center-el {
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  transform: scale(calc((1 / 600) * var(--px-height)));
}

#carousel-band {
  --carousel-width: 700px;
  --carousel-cell-width: 563px;
  --global-offset: var(--carousel-time);
  display: flex;
  position: absolute;
  width: var(--carousel-width);
  height: 0;
  max-height: 100vh;
  animation: carousel-time-repeat 10s infinite linear;
  pointer-events: none;
}

#carousel-band div {
  background: url('../img/carousel.webp');
  position: absolute;
  width: var(--carousel-cell-width);
  height: 433px;
  background-repeat: repeat-x;
}

#carousel-band div:nth-of-type(1) {
  --offset: calc(var(--carousel-cell-width) * (0 + var(--global-offset)));
  left: 0;
  transform: translateY(-50%) scale(0.7) translateX(-15%);
  background-position-x: var(--offset);
  filter: saturate(0.5);
  animation: rotate-repeat-1 1.05s alternate infinite ease-in-out;
}
#carousel-band div:nth-of-type(2) {
  --offset: calc(var(--carousel-cell-width) * (-8 + var(--global-offset)));
  left: calc((var(--carousel-width) - var(--carousel-cell-width))*0.5);
  transform: translateY(-50%);
  z-index: 1;
  background-position-x: var(--offset);
  animation: rotate-repeat-1 0.9s alternate infinite ease-in-out;
}
#carousel-band div:nth-of-type(3) {
  --offset: calc(var(--carousel-cell-width) * (-16 + var(--global-offset)));
  right: 0;
  transform: translateY(-50%) scale(0.7) translateX(15%);
  background-position-x: var(--offset);
  filter: saturate(0.5);
  animation: rotate-repeat-1 1.2s alternate infinite ease-in-out;
}

#nav {
  position: absolute;
  /*font-family: 'Bynk';*/
  font-family: 'LT Binary Neue Round', sans-serif;
  font-size: 20pt;
  background: red;
  /*padding: 0px 70px;*/
  color: antiquewhite;
  z-index: 1;
  transform: translateY(-200px);
  width: 200vw;
  text-align: center;
  z-index: 0;
  height: 100px;
  display: flex;
}
#nav ul {
  list-style: none;
  display: flex;
  justify-content: center;
  align-items: center;
  width: calc((1 / ((1 / 600) * var(--px-height))) * 100vw);
  margin: auto;
  padding: 0;
  flex-wrap: wrap;
}
#nav ul li {
  margin: 4px 20px;
}
#nav ul li a {
  color:antiquewhite;
  text-decoration: none;
  filter: invert();
}

#title {
  position: absolute;
  /*font-family: 'Bynk';*/
  font-family: 'SilverStream', sans-serif;                      
  font-size: 60pt;
  background: red;
  /*padding: 0px 70px;*/
  color: antiquewhite;
  z-index: 1;
  transform: translateY(200px);
  width: 200vw;
  text-align: center;
  --margin-offset: 16.5px;
  padding-top: var(--margin-offset);
  margin-bottom: calc(-1 * var(--margin-offset));
  height: calc(60pt + 20px);
  box-sizing: border-box;
  translate: 0 calc(-0.5 * var(--margin-offset));
  pointer-events: none;
  user-select: none;
}

#title span {
  display: inline-flex;
  justify-content: center;
}

#title span.mirror-y {
  transform: scaleY(-1);
  overflow: hidden;
  display: inline-block;
  height: 44px;
}
#title span.make-a {
  translate: -5px 0;
}
#title span.make-a::before {
  display: block;
  content: "i";
  position: absolute;
  translate: 20px 0;
  clip: rect(50px,37px,66px,0px);
}
#title span.shift-right {
  translate: -13px 0;
}

.section{
  display: flex;
  justify-content: center;
  min-height: 100vh;
  flex-direction: column;
  align-items: center;
}

.section_title {
  color: white;
  font-family: 'LT Binary Neue Round', sans-serif;
  font-size: 60pt;
  font-weight: bold;
  margin-top: 60pt;
}

#video_target {
  width: 800px;
  max-width: 100vw;
  z-index: 100;
  margin-bottom: 60pt;
}

.merch_pool {
  display: flex;
  flex-wrap: wrap;
  width: 600px;
  max-width: 100vw;
  margin-top: 30px;
}

.merch_item {
  width: 250px;
  height: 250px;
  background-size: cover;
  margin: 0 25px 25px 25px;
  z-index: 100;
  display: flex;
  flex-direction: column;
  justify-content: end;
  box-sizing: border-box;
  padding: 10px;
}
.merch_item::before {
  content: attr(title);
  font-weight: bold;
  color: white;
}
.merch_item::after {
  content: attr(subtitle);
  color: white;
}

.merch_item.mi_cd {
  background-image: url('../img/merch_cd.webp');
}

.merch_item.mi_tshirt {
  background-image: url('../img/merch_tshirt.webp');
}

.merch_item.mi_picks {
  background-image: url('../img/merch_picks.webp');
}

.contact {
  font-size: 20pt;
  color: white;
}

#footer.section {
  background-color: red;
}

@property --time {
  syntax: '<number>';
  initial-value: 0.0;
  inherits: false;
}

@property --carousel-time {
  syntax: '<integer>';
  initial-value: 0;
  inherits: false;
}

@keyframes time-repeat {
    0% {
        --time:0.0;
    }
    80% {
        --time:1.0;
    }
    100% {
        --time:0.0;
    }
}

@keyframes carousel-time-repeat {
    0% {
        --carousel-time: -1;
    }
    100% {
        --carousel-time:-12;
    }
}

@keyframes rotate-repeat-1 {
    0% {
        rotate: 1.5deg;
    }
    50% {
        rotate: 0deg;
    }
    100% {
        rotate: -1.5deg;
    }
}